
use strict;
use warnings;

use Test::Simple tests => 3;

use DE_EPAGES::Core::API::Error qw( ExistsError );
use DE_EPAGES::Core::API::SystemCommand qw( SystemCommand );

my $OUTPUT = '/tmp/SystemInfo';
my $PERL = $ENV{PERL};
my $EPAGES_CARTRIDGES = $ENV{EPAGES_CARTRIDGES};
my $SYSTEM_REPORT = "$EPAGES_CARTRIDGES/DE_EPAGES/Installer/Scripts/getSystemReport.pl";


my $GetReportCmd = "$PERL $SYSTEM_REPORT -outputpath $OUTPUT -y -section \"XML-ClientApplications\"";
eval { SystemCommand( $GetReportCmd ) };
ok( !ExistsError(), 'Section "XML-ClientApplications" can be exported.' );

my $QaDirectory = "$OUTPUT/QA";
my $FindXmlFileCmd = "cd $QaDirectory && find -iname 'ClientApplications.xml'";
my $Result = SystemCommand( $FindXmlFileCmd, { 'Capture' => 1 });
ok( $Result =~ 'ClientApplications.xml', 'ClientApplications.xml is present.' );

my $FindUnnormalizedPasswordCmd = "cd $QaDirectory && grep \"Password='[^ANONYMOUS]\" -d recurse";
eval { SystemCommand( $FindUnnormalizedPasswordCmd )};
ok( ExistsError(), 'No un-normalized password found.' );

